summaryrefslogtreecommitdiff
path: root/dz/dzq
diff options
context:
space:
mode:
Diffstat (limited to 'dz/dzq')
-rwxr-xr-xdz/dzq17
1 files changed, 17 insertions, 0 deletions
diff --git a/dz/dzq b/dz/dzq
new file mode 100755
index 0000000..17615fd
--- /dev/null
+++ b/dz/dzq
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+test -z "$1" && { echo usage: $0 query 1>&2; exit 1; }
+q=`printf '%s' "$1" | jq -sRr @uri`
+
+rm /tmp/dzq 2> /dev/null
+
+curl -s "https://www.deezer.com/search/$q" |
+grep __DZR_APP_STATE__ |
+cut -d= -f2- |
+jq -r '.TRACK.data[] | .SNG_TITLE + "\n" + .ART_NAME + "\n" + .SNG_ID' 2>&- |
+paste - - - |
+sed 's/ */ /g' |
+head -${2:-10} |
+column -ts' ' |
+nl -w 2 |
+tee -a /tmp/dzq